org.keycloak.forms.account

## Interface AccountProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    FreeMarkerAccountProvider

      public interface AccountProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createResponse(AccountPages page)`
    `AccountProvider` | `setAttribute(String key, String value)`
    `AccountProvider` | `setError(javax.ws.rs.core.Response.Status status, String message, Object... parameters)`
    `AccountProvider` | `setErrors(javax.ws.rs.core.Response.Status status, List<FormMessage> messages)`
    `AccountProvider` | `setEvents(List<Event> events)`
    `AccountProvider` | `setFeatures(boolean social, boolean events, boolean passwordUpdateSupported, boolean authorizationSupported)`
    `AccountProvider` | `setHttpHeaders(javax.ws.rs.core.HttpHeaders httpHeaders)`
    `AccountProvider` | `setPasswordSet(boolean passwordSet)`
    `AccountProvider` | `setProfileFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `AccountProvider` | `setRealm(RealmModel realm)`
    `AccountProvider` | `setReferrer(String[] referrer)`
    `AccountProvider` | `setSessions(List<UserSessionModel> sessions)`
    `AccountProvider` | `setStateChecker(String stateChecker)`
    `AccountProvider` | `setSuccess(String message, Object... parameters)`
    `AccountProvider` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`
    `AccountProvider` | `setUser(UserModel user)`
    `AccountProvider` | `setWarning(String message, Object... parameters)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### setUriInfo

          AccountProvider setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

    - #### setHttpHeaders

          AccountProvider setHttpHeaders(javax.ws.rs.core.HttpHeaders httpHeaders)

    - #### createResponse

          javax.ws.rs.core.Response createResponse(AccountPages page)

    - #### setError

          AccountProvider setError(javax.ws.rs.core.Response.Status status,
                                   String message,
                                   Object... parameters)

    - #### setErrors

          AccountProvider setErrors(javax.ws.rs.core.Response.Status status,
                                    List<FormMessage> messages)

    - #### setSuccess

          AccountProvider setSuccess(String message,
                                     Object... parameters)

    - #### setWarning

          AccountProvider setWarning(String message,
                                     Object... parameters)

    - #### setUser

          AccountProvider setUser(UserModel user)

    - #### setProfileFormData

          AccountProvider setProfileFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### setRealm

          AccountProvider setRealm(RealmModel realm)

    - #### setReferrer

          AccountProvider setReferrer(String[] referrer)

    - #### setEvents

          AccountProvider setEvents(List<Event> events)

    - #### setSessions

          AccountProvider setSessions(List<UserSessionModel> sessions)

    - #### setPasswordSet

          AccountProvider setPasswordSet(boolean passwordSet)

    - #### setStateChecker

          AccountProvider setStateChecker(String stateChecker)

    - #### setFeatures

          AccountProvider setFeatures(boolean social,
                                      boolean events,
                                      boolean passwordUpdateSupported,
                                      boolean authorizationSupported)

    - #### setAttribute

          AccountProvider setAttribute(String key,
                                       String value)

Copyright © 2020 JBoss by Red Hat. All rights reserved.